> For the complete documentation index, see [llms.txt](https://openindexai.gitbook.io/openindex.ai-api-documentation-1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://openindexai.gitbook.io/openindex.ai-api-documentation-1/reference/api-reference/supported-models.md).

# Supported models

We currently support the following closed- and open-source models when [creating your agent](/openindex.ai-api-documentation-1/reference/api-reference/agents.md#agents-1).

You can also override the model to be used on a per-call basis in [/chat](/openindex.ai-api-documentation-1/reference/api-reference/chat.md).

```
gpt-3.5-turbo
gpt-3.5-turbo-16k
gpt-4
palm-2
llama-2-13b-chat
llama-2-70b-chat
codellama-13b-instruct
codellama-13b-python
mistral-7b
zephyr-7b
mistrallite-7b
llava-13b
fuyu-8b
causallm-14b
yi-6b-chat
yi-34b-chat
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://openindexai.gitbook.io/openindex.ai-api-documentation-1/reference/api-reference/supported-models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
